#!/bin/bash

echo "Profile or debug environment? [p/d, default=p]"
read response
if [[ "$response" != "" ]]; then
    envType=$response
else
    envType=p
fi

if [[ "$envType" == "d" ]]; then
    buildDir="/scratch/$USER/debug"
    scriptName=setupDS50DAQdebug
else
    buildDir="/scratch/$USER/profile"
    scriptName=setupDS50DAQ
fi

echo "What is the path to your ds50daq sandbox? [default=`pwd`]"
read response
if [[ "$response" != "" ]]; then
    sourceDir=$response
else
    sourceDir=`pwd`
fi
if [[ ! -e $sourceDir ]]; then
    echo "Warning: $sourceDir doesn't exist - continuing anyway."
fi

echo "What directory do you want to use for builds? [default=$buildDir]"
read response
if [[ "$response" != "" ]]; then
    buildDir=$response
fi
if [[ ! -e $buildDir ]]; then
    echo "Warning: $buildDir doesn't exist - continuing anyway."
fi

if [[ -e ./$scriptName ]]; then
    echo "Do you want to over-write the existing $scriptName script? [y/n]"
    read response
    if [[ "$response" != "y" ]]; then
        echo "Aborting..."
        exit
    fi
fi

echo "source /products/setup" > $scriptName
echo "" >> $scriptName
echo "export FHICL_FILE_PATH=." >> $scriptName
echo "export CETPKG_INSTALL=\$HOME/products" >> $scriptName
echo "export CETPKG_J=16" >> $scriptName
echo "#export DS50DAQ_BASE_PORT=5220" >> $scriptName
echo "export DS50DAQ_CONFIG_PATH=${sourceDir}/ds50daq/DAQ:${sourceDir}/script:${sourceDir}/doc" >> $scriptName
echo "" >> $scriptName
echo "export DS50DAQ_BUILD=$buildDir" >> $scriptName
echo "export DS50DAQ_REPO=${sourceDir}" >> $scriptName
echo "cd \$DS50DAQ_BUILD; source \$DS50DAQ_REPO/ups/setup_for_development -p e4" >> $scriptName
echo "" >> $scriptName
echo "alias rawEventDump=\"art -c \$DS50DAQ_REPO/ds50daq/ArtModules/fcl/rawEventDump.fcl\"" >> $scriptName
echo "alias compressedEventDump=\"art -c \$DS50DAQ_REPO/ds50daq/ArtModules/fcl/compressedEventDump.fcl\"" >> $scriptName
echo "alias compressedEventComparison=\"art -c \$DS50DAQ_REPO/ds50daq/ArtModules/fcl/compressedEventComparison.fcl\"" >> $scriptName
echo "alias rawEventOnMon=\"art -c \$DS50DAQ_REPO/ds50daq/ArtModules/fcl/rawEventOnMon.fcl\"" >> $scriptName
echo "alias compressedEventOnMon=\"art -c \$DS50DAQ_REPO/ds50daq/ArtModules/fcl/compressedEventOnMon.fcl\"" >> $scriptName
