// Simple test of the Commandable interface.

#include "ds50daq/DAQ/Commandable.hh"

int main()
{
  try
    {
      ds50::Commandable mc;
      assert(mc.status() == "Booted");
      fhicl::ParameterSet pset;
      assert(mc.initialize(pset));
      assert(mc.status() == "Ready");
      art::RunID run(2112);
      assert(mc.start(run));
      assert(mc.status() == "Running");
      assert(mc.pause());
      assert(mc.status() == "Paused");
      assert(mc.legal_commands() == std::vector<std::string>({"resume", "stop", "init", "soft_init", "reinit", "shutdown"}));
      assert(mc.shutdown());
      assert(mc.status() == "Booted");
    }
  catch (...)
    {
      std::cerr << "Unexepcted exception thrown\n";
      return 1;
    }
  return 0;
}
