#include <iostream>

#include "artdaq/DAQdata/Fragment.hh"
#include "ds50daq/DAQ/Config.hh"
#include "ds50daq/DAQ/FileReader.hh"

using artdaq::Fragment;

void read_good_file()
{
  Fragment::fragment_id_t const frag_id(0);
  FileReader reader("orig_board_sample.out", frag_id, true);
  
  Fragment::sequence_id_t event_id(1);
  std::unique_ptr<Fragment> pf;
  while ( pf = reader.getNext(event_id), pf != nullptr )
     {
       assert(pf->sequenceID() == event_id);
       assert(pf->fragmentID() == frag_id);
       assert(pf->type() == ds50::Config::V1720_FRAGMENT_TYPE);
       assert(pf->dataSize() == 150002);
       ++event_id;
     }

   assert(event_id == 4);
}

void read_malformed_file()
{
  Fragment::fragment_id_t const frag_id(0);
  FileReader reader("bytecount_size_board_sample.out", frag_id, false);
  
  Fragment::sequence_id_t event_id(1);
  std::unique_ptr<Fragment> pf;
  while ( pf = reader.getNext(event_id), pf != nullptr )
    {
      assert(pf->sequenceID() == event_id);
      assert(pf->fragmentID() == frag_id);
      assert(pf->type() == ds50::Config::V1720_FRAGMENT_TYPE);
      assert(pf->dataSize() == 150002);
      ++event_id;
    }
  assert(event_id == 4);
}

int main()
{
  read_good_file();
  read_malformed_file();
}
